IXP_PDATA(3)

NAME

ixp_pdata

SYNOPSIS
  #include <ixp.h>

  void ixp_pdata(IxpMsg *msg, char **data, uint len);

DESCRIPTION

Packs or unpacks a raw character buffer of size IlenR.

If ImsgR->mode is MsgPack, buffer pointed to by IdataR is packed into the buffer at ImsgR->pos. If ImsgR->mode is MsgUnpack, the address pointed to by IsR is loaded with a malloc(3) allocated buffer with the contents of the buffer at ImsgR->pos. In either case, ImsgR->pos is advanced by the number of bytes read or written. If the action would advance ImsgR->pos beyond ImsgR->end, ImsgR->pos is still advanced but no other action is taken.

SEE ALSO

IxpMsg(3), ixp_pstring(3)